Subject: Re: Packetlost when "tc qdisc del dev eth0 root"

From: Jarek Poplawski <[email-masked]>
Date: Wed, 16 Jan 2008 10:42:48 +0100

On Wed, Jan 16, 2008 at 11:35:35AM +0300, Badalian Vyacheslav wrote:
...
> I simple recreate all rules. I change idea from do many add,change,delete 
> because have many kernel panics on many kernels 2.6.x
> First i have panics on "delete filter" operation... was fix it... great.. 
> then have panics on "delete htb" operation... long time wait to fix it 
> (maintainer of tc not have time to fix it i think).. but have 1-5 panics at 
> day.... i think my clients hate  me =) i rewrite script to simple  recreate 
> all rules... in this method i have small packetlost 1 time in hour (then 
> recreate root qdisc), but not have panics... now i use new logic of 
> scripts... =)
> maybe need go back to accurate logic of scripts, but i to fear kernel 
> panics =)

BTW, I don't know about others, but it seems this bugzilla #9632 waits
for your testing, to find the reason of this bug... IMHO, if you can't
try this now, it's better to close this or/and at least add some
comment. And if there are any other bugs unfixed which are
reproducible and you can test (or have tested) some patches, please
resend them as new threads to the list. Alas, omitting the panics
can't help in removing these bugs.

Jarek P.